Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webcontainer
Class ContainerSynchronizeService

    java.lang.Object
      nextapp.echo2.webrender.service.SynchronizeService
          nextapp.echo2.webcontainer.ContainerSynchronizeService

All Implemented Interfaces:
  Service

    public class ContainerSynchronizeService

extends SynchronizeService

A service which synchronizes the state of the client with that of the server. Requests made to this service are in the form of "ClientMessage" XML documents which describe the users actions since the last synchronization, e.g., input typed into text fields and the action taken (e.g., a button press) which caused the server interaction. The service then communicates these changes to the server-side application, and then generates an output "ServerMessage" containing instructions to update the client-side state of the application to the updated server-side state.

This class is derived from the base class `SynchronizeService` of the web renderer, which handles the lower-level work.

Nested Class Summary

Nested classes/interfaces inherited from class nextapp.echo2.webrender.service.SynchronizeService
`SynchronizeService.ClientMessagePartProcessor`

Field Summary
`static ContainerSynchronizeService` | `INSTANCE` A single shared instance of this stateless service.
`static Service` | `WEB_CONTAINER_SERVICE` Service to provide supporting JavaScript library.

Fields inherited from class nextapp.echo2.webrender.service.SynchronizeService
`SERVICE_ID`

Fields inherited from interface nextapp.echo2.webrender.Service
`DO_NOT_CACHE`

Method Summary
`protected ServerMessage` | `renderInit(Connection conn, org.w3c.dom.Document clientMessageDocument)` Renders a `ServerMessage` in response to the initial synchronization.
`protected ServerMessage` | `renderUpdate(Connection conn, org.w3c.dom.Document clientMessageDocument)` Renders a `ServerMessage` in response to a synchronization other than the initial synchronization.

Methods inherited from class nextapp.echo2.webrender.service.SynchronizeService
`getId, getVersion, processClientMessage, registerClientMessagePartProcessor, service`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WEB_CONTAINER_SERVICE

    public static final Service WEB_CONTAINER_SERVICE

  Service to provide supporting JavaScript library.

### INSTANCE

    public static final ContainerSynchronizeService INSTANCE

  A single shared instance of this stateless service.

Method Detail

### renderInit

    protected ServerMessage renderInit(Connection conn,
                                       org.w3c.dom.Document clientMessageDocument)

  Description copied from class: `SynchronizeService`
  Renders a `ServerMessage` in response to the initial synchronization.

  Specified by:
    `renderInit` in class `SynchronizeService`
  Parameters:
    `conn` - the relevant `Connection`
    `clientMessageDocument` - the ClientMessage XML document
  Returns:
    the generated `ServerMessage`
  See Also:
    `SynchronizeService.renderInit(nextapp.echo2.webrender.Connection, org.w3c.dom.Document)`

### renderUpdate

    protected ServerMessage renderUpdate(Connection conn,
                                         org.w3c.dom.Document clientMessageDocument)

  Description copied from class: `SynchronizeService`
  Renders a `ServerMessage` in response to a synchronization other than the initial synchronization.

  Specified by:
    `renderUpdate` in class `SynchronizeService`
  Parameters:
    `conn` - the relevant `Connection`
    `clientMessageDocument` - the ClientMessage XML document
  Returns:
    the generated `ServerMessage`
  See Also:
    `SynchronizeService.renderUpdate(nextapp.echo2.webrender.Connection, org.w3c.dom.Document)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD